(function ($, Drupal) {
  Drupal.behaviors.uwFdsuThemeRespUserLogin = {
    attach: function (context, settings) {
      // Don't do anything if SimpleSAML isn't enabled.
      if ($('#edit-simplesamlphp-auth-login-link').length)
      {
        // Hide the normal login form.
        $('#user-login-form').css('display', 'none');
        // Add buttons (using JS because they don't work without JS)
        $('#user-login-form').after('<button id="adfs-login-link" class="button--primary">Log in via ADFS</button> &nbsp; <button id="local-login-link" class="button--medium">Log in locally</button>');
        // Update the existing login form's link text.
        $('#edit-submit').val('Log in locally');
        // If the local login link is clicked, show the normal login form and hide the buttons.
        // Be nice to the user, and put focus on the name field so they can just start typing.
        $('#local-login-link').click(function () {
          $('#user-login-form').css('display', 'block');
          $('#local-login-link').css('display', 'none');
          $('#adfs-login-link').css('display', 'none');
          $('#edit-name').focus();
        });
        // If the ADFS login link is clicked, click on the original log in with ADFS link.
        $('#adfs-login-link').click(function () {
          $('#edit-simplesamlphp-auth-login-link')[0].click();
        });
      }
    }
  };
})(jQuery, Drupal);
